package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2023/5/15 9:37
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SYS_DYNAMIC_WEB_PAGE")
@ApiModel("存放动态variant-form json")
public class SysDynamicWebPage extends BaseBean {

    @ApiModelProperty(value = "动态json")
    @Column(name = "CONTENT",columnDefinition = " text ")
    private String content;

    @ApiModelProperty(value = "使用模板的code")
    @Column(name = "TEMPLATE_CODE")
    private String templateCode;

    @ApiModelProperty(value = "前端页面根据webCode获取json")
    @Column(name = "WEB_CODE",unique = true)
    private String webCode;

}
